import { JavaProject } from "projen/lib/java";
import { GeneratedJavaInfrastructureOptions } from "../../../types";
import { GeneratedJavaRuntimeProject } from "../../runtime/generated-java-runtime-project";
export interface GeneratedJavaCdkInfrastructureProjectOptions extends GeneratedJavaInfrastructureOptions {
    /**
     * OpenAPI spec path, relative to the project outdir
     */
    readonly specPath: string;
    /**
     * The generated java types
     */
    readonly generatedJavaTypes: GeneratedJavaRuntimeProject;
}
export declare class GeneratedJavaCdkInfrastructureProject extends JavaProject {
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    /**
     * The generated java types
     * @private
     */
    private readonly generatedJavaTypes;
    /**
     * Source directory
     * @private
     */
    private readonly srcDir;
    /**
     * Java package name
     * @private
     */
    private readonly packageName;
    /**
     * Mock data generator options
     * @private
     */
    private readonly mockDataOptions?;
    constructor(options: GeneratedJavaCdkInfrastructureProjectOptions);
    buildGenerateCommandArgs: () => string;
    buildGenerateMockDataCommand: () => string;
}
