import { PythonProject } from "projen/lib/python";
import { GeneratedPythonInfrastructureOptions } from "../../../types";
import { GeneratedPythonRuntimeProject } from "../../runtime/generated-python-runtime-project";
export interface GeneratedPythonCdkInfrastructureProjectOptions extends GeneratedPythonInfrastructureOptions {
    /**
     * OpenAPI spec path, relative to the project outdir
     */
    readonly specPath: string;
    /**
     * The generated python types
     */
    readonly generatedPythonTypes: GeneratedPythonRuntimeProject;
}
export declare class GeneratedPythonCdkInfrastructureProject extends PythonProject {
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    /**
     * The generated python types
     * @private
     */
    private readonly generatedPythonTypes;
    /**
     * Mock data generator options
     * @private
     */
    private readonly mockDataOptions?;
    constructor(options: GeneratedPythonCdkInfrastructureProjectOptions);
    buildGenerateCommandArgs: () => string;
    buildGenerateMockDataCommand: () => string;
}
