import { TypeScriptProject } from "projen/lib/typescript";
import { GeneratedTypeScriptReactQueryHooksOptions } from "../../types";
/**
 * Configuration for the generated typescript client project
 */
export interface GeneratedTypescriptReactQueryHooksProjectOptions extends GeneratedTypeScriptReactQueryHooksOptions {
    /**
     * The path to the OpenAPI specification, relative to this project's outdir
     */
    readonly specPath: string;
    /**
     * Whether this project is parented by an nx-monorepo or not
     */
    readonly isWithinMonorepo?: boolean;
}
/**
 * Typescript project containing generated react-query hooks
 */
export declare class TypescriptReactQueryHooksLibrary extends TypeScriptProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    constructor(options: GeneratedTypescriptReactQueryHooksProjectOptions);
    buildGenerateCommandArgs: () => string;
}
