import { JavaProject } from "projen/lib/java";
import { GeneratedJavaRuntimeOptions } from "../../types";
/**
 * Configuration for the generated java runtime project
 */
export interface GeneratedJavaTypesProjectOptions extends GeneratedJavaRuntimeOptions {
    /**
     * The path to the OpenAPI specification, relative to this project's outdir
     */
    readonly specPath: string;
}
/**
 * Java project containing types generated using OpenAPI Generator CLI
 */
export declare class GeneratedJavaRuntimeProject extends JavaProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    /**
     * The package name, for use in imports
     */
    readonly packageName: string;
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    constructor(options: GeneratedJavaTypesProjectOptions);
    buildGenerateCommandArgs: () => string;
}
