/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { PythonProject } from "projen/lib/python";
import { GeneratedPythonRuntimeOptions } from "../../types";
/**
 * Configuration for the generated python types project
 */
export interface GeneratedPythonTypesProjectOptions extends GeneratedPythonRuntimeOptions {
    /**
     * The path to the OpenAPI specification, relative to this project's outdir
     */
    readonly specPath: string;
}
/**
 * Python project containing types generated using OpenAPI Generator CLI
 */
export declare class GeneratedPythonRuntimeProject extends PythonProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    constructor(options: GeneratedPythonTypesProjectOptions);
    buildGenerateCommandArgs: () => string;
}
