import { TypeScriptProject } from "projen/lib/typescript";
import { GeneratedTypeScriptRuntimeOptions } from "../../types";
/**
 * Configuration for the generated typescript client project
 */
export interface GeneratedTypescriptTypesProjectOptions extends GeneratedTypeScriptRuntimeOptions {
    /**
     * The path to the OpenAPI specification, relative to this project's outdir
     */
    readonly specPath: string;
    /**
     * Whether this project is parented by an nx-monorepo or not
     */
    readonly isWithinMonorepo?: boolean;
}
/**
 * Typescript project containing types generated using OpenAPI Generator CLI
 */
export declare class GeneratedTypescriptRuntimeProject extends TypeScriptProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    /**
     * Path to the openapi specification
     * @private
     */
    private readonly specPath;
    constructor(options: GeneratedTypescriptTypesProjectOptions);
    buildGenerateCommandArgs: () => string;
}
